#version 410 core
in vec2 vUV;
uniform sampler2DArray uAtlas;
uniform float uLayer;
uniform float uAlpha;
out vec4 FragColor;
void main() {
    vec4 texel = texture(uAtlas, vec3(vUV, uLayer));
    if (texel.a < 0.04) discard;
    FragColor = vec4(texel.rgb * vec3(0.92, 1.06, 1.02), texel.a * uAlpha);
}
